Subject: Re: Completion in empty double-quotes generates error
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2016 13:13:55 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 10,  6:40pm, Daniel Shahaf wrote:
} Subject: Re: Completion in empty double-quotes generates error
}
} 'tmux new <TAB>' segfaults:
} 
}     $ zsh -f
}     % echo $ZSH_PATCHLEVEL
}     zsh-5.2-dev-1-130-g98f670c

That's odd:

burner% echo $ZSH_PATCHLEVEL
zsh-5.2-403-gb359b80
burner% echo $ZSH_VERSION
5.2-dev-1

I never get the "-dev-1" part in PATCHLEVEL.

}     % autoload compinit
}     % compinit
}     % tmux new <TAB>5: compcore.c:1657: expecting 'x' at offset -7 of "x"
}     
}     Program received signal SIGSEGV, Segmentation fault.

Well, that's got to be because of this:

} > The change in gotword() is necessary but of a little concern.  AFAICT
} > we only care about wb when examining the word under the cursor, so it
} > shouldn't hurt to skip updating it when doing so would violate the
} > wb <= zlemetacs <= we constraint, but there may be some corner case I
} > haven't tried that depends on the old behavior.

Apparently here is a case that depends on wb / we always being updated,
or at least being initialized in some way that has been missed.

I won't have a chance to look at this for at least another 3 weeks, so if
anyone else cares to try deciphering the interaction of the lexer with
compcore, it's all yours.